
Foreman - Bug #7431

Proxy cannot be saved when only one feature is present

09/14/2014 04:05 AM - Ohad Levy

Status: Assigned   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This happens when there is at least one feature in the proxy (such as facts which is by default) and no corresponding feature on

foreman features.

this leads to a valid error not saving the proxy, but a proper error message is not displayed.

steps to reproduce:

1. enable only the facts feature on the proxy

2. try to create the proxy in foreman.

note there is no error message, yet it fails to save.

Related issues:

Has duplicate Foreman - Bug #7770: No visible error on adding smart proxy wit... Duplicate 10/01/2014

History

#1 - 09/15/2014 07:32 AM - Dominic Cleal

- Subject changed from proxy form wont save to Proxy cannot be saved when only one feature is present

- Category set to Smart Proxy

#2 - 10/02/2014 03:25 AM - Dominic Cleal

- Has duplicate Bug #7770: No visible error on adding smart proxy with no features added

#3 - 02/11/2016 02:43 AM - Ondřej Pražák

- Status changed from New to Assigned

- Assignee set to Ondřej Pražák

#4 - 02/11/2016 06:21 AM - Ondřej Pražák

- Project changed from Foreman to Smart Proxy

#5 - 02/11/2016 06:23 AM - Anonymous

- Project changed from Smart Proxy to Foreman

- Category deleted (Smart Proxy)

Moving the bug back to foreman. "Smart-Proxy" project is reserved for bugs in smart-proxy code-base.

#6 - 02/11/2016 07:15 AM - Ondřej Pražák

Well, I kind of have a fix for the proxy side since I found a problem there even though it manifests itself in Foreman:

https://github.com/xprazak2/smart-proxy/commit/aaf914ed2b400b0257553e3361700c19c21355a2

Please have a look and advise me on further progress.
